package me.wazup.hideandseek.commands.admin;

import me.wazup.hideandseek.Arena;
import org.bukkit.entity.Player;
import org.bukkit.command.CommandSender;
import me.wazup.hideandseek.Customization;
import me.wazup.hideandseek.HideAndSeek;
import me.wazup.hideandseek.commands.SubCommand;

public class EditCommand extends SubCommand
{
    public EditCommand() {
        super("hideandseek.edit", false, "<Arena>");
    }
    
    public boolean execute(final HideAndSeek hideAndSeek, final Customization customization, final CommandSender commandSender, final String[] array) {
        final Player player = (Player)commandSender;
        if (array.length == 1) {
            return false;
        }
        final Arena value = Arena.valueOf(array[1]);
        if (value == null) {
            player.sendMessage(customization.prefix + "Couldn't find an arena with that name!");
            return true;
        }
        player.openInventory(value.editor);
        return true;
    }
}
